MEDIAWIKI2LATEX(1)

NAME
MediaWiki to LaTeX - compile MediaWiki pages via LaTeX to PDF

SYNOPSIS
mediawiki2latex [OPTION] -o FILE -u URL

DESCRIPTION
MediaWiki to LaTeX will fetch MediaWiki pages from a URL. It will fetch all its content recursively, i.e. subpages and pictures. Then the source code is converted to LaTeX, using the user template MAP if specified, or a default template otherwise. The LaTeX output is stored in LATEXTREE if provided. Finally a PDF if generated from the LaTeX source code if an appropriate LaTeX compiler is found. Note that it will automatically run several times to make sure all references are resolved. All steps can be controlled with command-line options.

OPTIONS

-c, --copy=LATEXTREE
    Write all generated LaTeX files to the specified folder.

-g, --vector
    Keep vector graphics in vector form.

-h, --html
    Use mediaWiki generated HTML as input (default).

-z, --zip
    Output LaTeX Source Archive.

-b, --epub
    Output epub file. Only works if packages latex2rtf and calibre are installed additionally.

-d, --odt
    Output odt file. Open Document Text (for wordprocessors). Only works if packages latex2rtf and libreoffice are installed additionally.

-i, --internal
    Use internal template definitions.

-x, --hex=CONFIG
    Take configuration data from hex encoded string given on the command line. This is only needed to avoid malicious shell injecion via the web form of the server

-m, --mediawiki
    Use mediaWiki to expand the templates.

-k, --bookmode
    Use book-namespace mode for expansion. That means: Follow all links but not recursively.

-o, --output=FILE
    Specify the PDF output file.

-p, --paper=SIZE
    Set the paper size. Possible values are A4, A5, B5, letter, legal, executive.

-r, --resolution=DPI
    Set the maximum image reolution in dot-per-inch. The argument should be an integer.

-s, --server=PORT
    Run as server. Listen on PORT

-t, --templates=MAP
    Specify the user template map file. Usually called templates.user.

-l, --headers=EADERSPATH
    The the path to the LaTeX headers, which should be used. May be omitted. Useful in combination -t.

-u, --url=URL
    The input URI. It should point to a MediaWiki page.

-?, -v, --version, --help
    Show help options together with version number.

TEMPLATES
MediaWiki features a powerful template system which will control the appearance of specific parts in the text. This system can be used to our advantage to further control the appearance of the resulting PDF. You can tell MediaWiki to LaTeX to use the host site template result directly in the PDF, or you can use a custom template of yours. See the $XDG_DATA_DIRS/mediawiki2latex/latex for a template example.

LATEX TREE
All the downloaded files are kept into memory, so there will not be any MediaWiki files remaining on disk after the process. However, the generated LaTeX files -- the `LaTeX tree' -- need to be written on disk in order to produce the PDF. These files are written to /tmp/MediaWiki$$ by default. This folder will be removed when the program exits.

However you may want to keep the generated LaTeX tree on disk for LaTeX customiwation and to fasten future builds. If you use the -c option to set the LaTeX tree folder, the program will not remove it on exit so you can continue to use it.

The LaTeX tree is made of three folders:

header
    A folder containing the LaTeX options, the special pages, the package loading, etc.

images
    All the original picture files used in the article.

main
    The complete LaTeX version of the source document is stored in main.tex.

To compile the PDF file yourself, simply run `xelatex' on the main.tex file. For instance:

        xelatex LaTeX-tree/main/main.tex

You may need to run it several times to make sure all references are resolved.

AUTHORS
MediaWiki to LaTeX was mainly developed by Dirk Hünniger <dirk.hunniger@googlemail.com>. Other contributors are listed in the AUTHORS file.

This man page was written by Pierre Neidhardt <ambrevar@gmail.com>.